package com.greatchn.authorization_server.config;

import com.greatchn.authorization_server.filter.ExceptionFilter;
import com.greatchn.authorization_server.filter.TokenFilter;
import org.springframework.security.config.annotation.SecurityConfigurerAdapter;
import org.springframework.security.config.annotation.web.builders.HttpSecurity;
import org.springframework.security.web.DefaultSecurityFilterChain;
import org.springframework.security.web.authentication.UsernamePasswordAuthenticationFilter;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;

/**
 * @AuthTokenConfig:
 * @author: ZBoHang
 * @time: 2023/2/8 13:45
 */
@Component("securityFilterConfig")
public class SecurityFilterConfig extends SecurityConfigurerAdapter<DefaultSecurityFilterChain, HttpSecurity> {

    @Resource
    private ExceptionFilter exceptionFilter;
    @Resource
    private TokenFilter tokenFilter;

    @Override
    public void configure(HttpSecurity builder) {

        builder
                .addFilterBefore(this.tokenFilter, UsernamePasswordAuthenticationFilter.class)
                .addFilterBefore(this.exceptionFilter, TokenFilter.class);
    }
}
