package com.greatchn.authorization_server.handler;

import com.greatchn.authorization_server.exception.ApiException;
import com.greatchn.authorization_server.exception.ServiceException;
import com.greatchn.authorization_server.util.Result;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.ExceptionHandler;
import org.springframework.web.bind.annotation.RestControllerAdvice;

/**
 * @Description: 异常处理器
 * @Author: zhengbohang
 * @Date: 2021/10/3 10:32
 */
@Slf4j
@RestControllerAdvice
public class ExceptionsHandler {

    @ExceptionHandler(ApiException.class)
    public Result apiExceptionHandler(ApiException ex) {
        return Result.failure(ex.getCode(), ex.getMsg());
    }

    @ExceptionHandler(ServiceException.class)
    public Result srvExceptionHandler(ServiceException ex) {
        return Result.failure(ex.getCode(), ex.getMsg());
    }

    @ExceptionHandler(Exception.class)
    public Result commonExceptionHandler(Exception ex) {
        // TODO: 2023/2/8
        return Result.failure("fail!");
    }
}
