/*
 Navicat Premium Data Transfer

 Source Server         : 本地_v8
 Source Server Type    : MySQL
 Source Server Version : 80020
 Source Host           : localhost:3306
 Source Schema         : sso

 Target Server Type    : MySQL
 Target Server Version : 80020
 File Encoding         : 65001

 Date: 08/03/2023 15:25:56
*/

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for oauth_client_details
-- ----------------------------
DROP TABLE IF EXISTS `oauth_client_details`;
CREATE TABLE `oauth_client_details`  (
  `client_id` varchar(256) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '客户端ID',
  `resource_ids` varchar(256) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `client_secret` varchar(256) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '客户端密钥',
  `scope` varchar(256) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `authorized_grant_types` varchar(256) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '授权类型',
  `web_server_redirect_uri` varchar(256) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `authorities` varchar(256) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `access_token_validity` int(0) NULL DEFAULT NULL COMMENT 'access_token的有效时间',
  `refresh_token_validity` int(0) NULL DEFAULT NULL COMMENT 'refresh_token的有效时间',
  `additional_information` varchar(4096) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `autoapprove` varchar(256) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '是否允许自动授权',
  PRIMARY KEY (`client_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of oauth_client_details
-- ----------------------------
INSERT INTO `oauth_client_details` VALUES ('finance_shared_client', 'finance_shared_resource_id', 'finance_shared_client_secret', 'ALL', 'client_credentials,refresh_token', NULL, NULL, 1800, NULL, NULL, 'true');
INSERT INTO `oauth_client_details` VALUES ('invoice_platfrom_client', 'invoice_platfrom_resource_id', 'invoice_platfrom_client_secret', 'ALL', 'client_credentials,refresh_token', NULL, NULL, 1800, NULL, NULL, 'true');
INSERT INTO `oauth_client_details` VALUES ('sale_client', 'sale_resource_id', 'sale_client_secret', 'ALL', 'client_credentials,refresh_token', NULL, NULL, 1800, NULL, NULL, 'true');

-- ----------------------------
-- Table structure for oauth_config
-- ----------------------------
DROP TABLE IF EXISTS `oauth_config`;
CREATE TABLE `oauth_config`  (
  `key` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT 'k',
  `value` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT 'v',
  `desc` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '描述',
  `state` char(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '状态 Y-有效 N-无效',
  PRIMARY KEY (`key`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of oauth_config
-- ----------------------------
INSERT INTO `oauth_config` VALUES ('no_authentication_path_str', '/login/login', '不需要登录的路径合集 多个用 , 分隔', 'Y');

-- ----------------------------
-- Table structure for oauth_function_info
-- ----------------------------
DROP TABLE IF EXISTS `oauth_function_info`;
CREATE TABLE `oauth_function_info`  (
  `function_id` int(0) NOT NULL AUTO_INCREMENT COMMENT '功能id',
  `function_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '功能名称',
  `desc` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '描述',
  `state` char(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '状态 Y-有效 N-无效',
  `create_time` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  PRIMARY KEY (`function_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 12 CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of oauth_function_info
-- ----------------------------
INSERT INTO `oauth_function_info` VALUES (1, '/sale', '销售', 'Y', '2023-02-28 09:57:25');
INSERT INTO `oauth_function_info` VALUES (2, '/paper/ticket', '开纸质票', 'Y', '2023-02-28 09:57:50');
INSERT INTO `oauth_function_info` VALUES (3, '/telex/ticket', '开电子票', 'Y', '2023-02-28 09:58:56');
INSERT INTO `oauth_function_info` VALUES (4, '/generate/authorization/number', '生成授权号', 'Y', '2023-02-28 09:58:59');
INSERT INTO `oauth_function_info` VALUES (5, '/bonus/points', '赠送积分', 'Y', '2023-02-28 09:59:04');
INSERT INTO `oauth_function_info` VALUES (6, 'virtual/billing', '虚拟开票', 'Y', '2023-02-28 09:59:08');
INSERT INTO `oauth_function_info` VALUES (7, '/full/telex/ticket', '全电票', 'Y', '2023-02-28 09:59:12');
INSERT INTO `oauth_function_info` VALUES (8, '/reconciliation', '对账', 'Y', '2023-02-28 09:59:15');
INSERT INTO `oauth_function_info` VALUES (9, '/accounting', '账目统计', 'Y', '2023-02-28 09:59:19');
INSERT INTO `oauth_function_info` VALUES (10, '/bookkeeping', '记账', 'Y', '2023-02-28 09:59:21');

-- ----------------------------
-- Table structure for oauth_role_function_connection
-- ----------------------------
DROP TABLE IF EXISTS `oauth_role_function_connection`;
CREATE TABLE `oauth_role_function_connection`  (
  `id` int(0) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `role_group_id` int(0) NULL DEFAULT NULL COMMENT '角色组id',
  `belong_to_user_group_id` int(0) NULL DEFAULT NULL COMMENT '所属用户组id',
  `function_id` int(0) NULL DEFAULT NULL COMMENT '功能id',
  `create_time` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of oauth_role_function_connection
-- ----------------------------
INSERT INTO `oauth_role_function_connection` VALUES (1, 1, 1, 1, '2023-02-28 10:08:17');
INSERT INTO `oauth_role_function_connection` VALUES (2, 1, 1, 2, '2023-02-28 10:12:27');
INSERT INTO `oauth_role_function_connection` VALUES (3, 1, 1, 3, '2023-02-28 10:12:29');
INSERT INTO `oauth_role_function_connection` VALUES (4, 1, 1, 4, '2023-02-28 10:12:29');
INSERT INTO `oauth_role_function_connection` VALUES (5, 1, 1, 5, '2023-02-28 10:12:29');
INSERT INTO `oauth_role_function_connection` VALUES (6, 1, 1, 6, '2023-02-28 10:12:29');
INSERT INTO `oauth_role_function_connection` VALUES (7, 1, 1, 7, '2023-02-28 10:12:29');
INSERT INTO `oauth_role_function_connection` VALUES (8, 1, 1, 8, '2023-02-28 10:12:29');
INSERT INTO `oauth_role_function_connection` VALUES (9, 1, 1, 9, '2023-02-28 10:12:29');
INSERT INTO `oauth_role_function_connection` VALUES (10, 1, 1, 10, '2023-02-28 10:12:29');
INSERT INTO `oauth_role_function_connection` VALUES (11, 2, 2, 1, '2023-02-28 10:12:29');
INSERT INTO `oauth_role_function_connection` VALUES (12, 2, 2, 2, '2023-02-28 10:12:29');
INSERT INTO `oauth_role_function_connection` VALUES (13, 2, 2, 3, '2023-02-28 10:12:29');
INSERT INTO `oauth_role_function_connection` VALUES (14, 2, 2, 4, '2023-02-28 10:12:29');
INSERT INTO `oauth_role_function_connection` VALUES (15, 2, 2, 5, '2023-02-28 10:12:29');
INSERT INTO `oauth_role_function_connection` VALUES (16, 2, 2, 6, '2023-02-28 10:12:29');
INSERT INTO `oauth_role_function_connection` VALUES (17, 2, 2, 7, '2023-02-28 10:12:29');
INSERT INTO `oauth_role_function_connection` VALUES (18, 3, 3, 8, '2023-02-28 10:12:29');
INSERT INTO `oauth_role_function_connection` VALUES (19, 3, 3, 9, '2023-02-28 10:12:29');
INSERT INTO `oauth_role_function_connection` VALUES (20, 3, 3, 10, '2023-02-28 10:12:29');

-- ----------------------------
-- Table structure for oauth_role_group_info
-- ----------------------------
DROP TABLE IF EXISTS `oauth_role_group_info`;
CREATE TABLE `oauth_role_group_info`  (
  `role_group_id` int(0) NOT NULL AUTO_INCREMENT COMMENT '角色组id',
  `role_group_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '角色组名称',
  `belong_to_user_group_id` int(0) NOT NULL COMMENT '所属用户组id',
  `perent_id` int(0) NULL DEFAULT NULL COMMENT '父级id 顶级为-1',
  `desc` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '描述',
  `state` char(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '状态 Y-有效 N-无效',
  `create_time` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  PRIMARY KEY (`role_group_id`, `belong_to_user_group_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 4 CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of oauth_role_group_info
-- ----------------------------
INSERT INTO `oauth_role_group_info` VALUES (1, 'SUPER_ADMIN', 1, -1, NULL, 'Y', '2023-02-28 09:47:10');
INSERT INTO `oauth_role_group_info` VALUES (2, 'USER_ADMIN', 2, 1, NULL, 'Y', '2023-02-28 09:50:13');
INSERT INTO `oauth_role_group_info` VALUES (3, 'GENERAL_ADMIN', 3, 1, NULL, 'Y', '2023-02-28 09:54:02');

-- ----------------------------
-- Table structure for oauth_user_group_info
-- ----------------------------
DROP TABLE IF EXISTS `oauth_user_group_info`;
CREATE TABLE `oauth_user_group_info`  (
  `user_group_id` int(0) NOT NULL AUTO_INCREMENT COMMENT '用户组id',
  `user_group_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '用户组名称',
  `parent_id` int(0) NULL DEFAULT NULL COMMENT '父级id 顶级为-1',
  `desc` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '描述',
  `state` char(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '状态 Y-有效 N-无效',
  `create_time` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  PRIMARY KEY (`user_group_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 6 CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of oauth_user_group_info
-- ----------------------------
INSERT INTO `oauth_user_group_info` VALUES (1, '系统根用户组', -1, '最顶层', 'Y', '2023-02-28 09:38:35');
INSERT INTO `oauth_user_group_info` VALUES (2, '用户管理组', 1, NULL, 'Y', '2023-02-28 09:41:41');
INSERT INTO `oauth_user_group_info` VALUES (3, '普通管理员', 1, NULL, 'Y', '2023-02-28 09:49:25');

-- ----------------------------
-- Table structure for oauth_user_info
-- ----------------------------
DROP TABLE IF EXISTS `oauth_user_info`;
CREATE TABLE `oauth_user_info`  (
  `user_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '用户名',
  `password` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '密码',
  `belong_to_user_group` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '所属用户组',
  `belong_to_role_group` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '所属角色组',
  `state` char(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '状态 Y-有效 N-无效',
  `create_time` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  PRIMARY KEY (`user_name`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of oauth_user_info
-- ----------------------------
INSERT INTO `oauth_user_info` VALUES ('aaa', '123456', '2', '2', 'Y', '2023-03-03 09:17:13');
INSERT INTO `oauth_user_info` VALUES ('root', '123456', '1', '1', 'Y', '2023-02-28 09:31:44');

SET FOREIGN_KEY_CHECKS = 1;
